summaryrefslogtreecommitdiffstats
path: root/www
diff options
context:
space:
mode:
authorahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2006-07-19 04:58:48 +0800
committerahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2006-07-19 04:58:48 +0800
commitdc481678e5290d1fbd1b2d9b326695c4f4e36f3b (patch)
treec867e16525241ee559e4317128204ec5d13036e9 /www
parent9053ee6711f094c5faba949a4107012400b2ed2d (diff)
downloadmarcuscom-ports-dc481678e5290d1fbd1b2d9b326695c4f4e36f3b.tar.gz
marcuscom-ports-dc481678e5290d1fbd1b2d9b326695c4f4e36f3b.tar.zst
marcuscom-ports-dc481678e5290d1fbd1b2d9b326695c4f4e36f3b.zip
- Chase gecko move to LOCALBASE
git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@6652 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'www')
-rw-r--r--www/mozex/Makefile24
-rw-r--r--www/mozex/Makefile.xpi75
-rw-r--r--www/mozex/distinfo3
-rw-r--r--www/mozex/files/installed-chrome.txt1
-rw-r--r--www/mozex/pkg-descr10
-rw-r--r--www/mozex/pkg-install.xpi63
-rw-r--r--www/mozex/pkg-message8
-rw-r--r--www/mozex/pkg-plist2
8 files changed, 186 insertions, 0 deletions
diff --git a/www/mozex/Makefile b/www/mozex/Makefile
new file mode 100644
index 000000000..cb44dcba5
--- /dev/null
+++ b/www/mozex/Makefile
@@ -0,0 +1,24 @@
+# Ports collection makefile for: mozex
+# Date created: Sun Oct 26, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+#
+# $FreeBSD$
+# $MCom$
+
+PORTNAME?= mozex
+PORTVERSION= 1.07
+PORTREVISION?= 3
+CATEGORIES= www mail news ftp
+MASTER_SITES= ${MASTER_SITE_MOZDEV}
+MASTER_SITE_SUBDIR= ${PORTNAME}
+
+MAINTAINER?= ports@FreeBSD.org
+COMMENT?= Mozex allows Mozilla's users to use external programs for mail, news, etc.
+
+.include <bsd.port.pre.mk>
+.include "${PORTSDIR}/www/mozex/Makefile.xpi"
+
+do-install:
+ @${INSTALL_DATA} ${WRKDIR}/mozex.jar ${MOZDIR}/chrome
+
+.include <bsd.port.post.mk>
diff --git a/www/mozex/Makefile.xpi b/www/mozex/Makefile.xpi
new file mode 100644
index 000000000..99bc252fe
--- /dev/null
+++ b/www/mozex/Makefile.xpi
@@ -0,0 +1,75 @@
+# Date created: Sun Oct 26, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+#
+# $FreeBSD$
+# $MCom$
+
+EXTRACT_SUFX= .xpi
+
+BUILD_DEPENDS+= ${MOZDIR}/regxpcom:${PORTSDIR}/www/${MOZPORT}
+RUN_DEPENDS+= ${MOZDIR}:${PORTSDIR}/www/${MOZPORT}
+
+NO_BUILD= yes
+USE_ZIP= yes
+
+PKGINSTALL= ${PORTSDIR}/www/mozex/pkg-install.xpi
+PKGDEINSTALL= ${PKGINSTALL}
+
+.if !defined(WITH_FIREFOX)
+# "Regular" mozillas
+. if exists(${LOCALBASE}/lib)
+MOZDIR!= ${FIND} ${LOCALBASE}/lib -name mozilla-bin -exec dirname {} \; | ${HEAD} -n 1
+. else
+MOZDIR=
+. endif
+. if empty(MOZDIR)
+MOZPORT= mozilla
+MOZDIR= ${LOCALBASE}/lib/${MOZPORT}
+. else
+MOZPORT!= ${BASENAME} ${MOZDIR}
+. endif
+MOZLDIR= lib/${MOZPORT}
+.else
+# Firefox
+DEPRECATED= "must be converted to include www/xpi-adblock/Makefile.xpi"
+PKGNAMESUFFIX= -firefox
+. if exists(${LOCALBASE}/lib)
+MOZDIR!= ${FIND} ${LOCALBASE}/lib -name firefox-bin -exec dirname {} \; | ${HEAD} -n 1
+. else
+MOZDIR=
+. endif
+. if empty(MOZDIR)
+MOZVER= firefox
+. else
+MOZVER!= ${BASENAME} ${MOZDIR}
+. endif
+MOZPORT= firefox
+MOZLDIR= lib/firefox
+.endif
+.if empty(MOZDIR)
+MOZDIR= ${LOCALBASE}/${MOZLDIR}
+.endif
+
+PLIST_SUB= MOZDIR=${MOZLDIR}
+
+pre-install:
+.if ${PREFIX} != ${LOCALBASE}
+ @${ECHO_MSG} ""
+ @${ECHO_MSG} "${PREFIX} invalid - must be installed under ${LOCALBASE}."
+ @${ECHO_MSG} ""
+ @${FALSE}
+.else
+ @${CP} ${FILESDIR}/installed-chrome.txt ${MOZDIR}/${PORTNAME}-installed-chrome.txt
+.endif
+
+post-install:
+ @${ECHO_CMD} ${MOZLDIR}/${PORTNAME}-installed-chrome.txt >> ${TMPPLIST}
+ @${CAT} ${MOZDIR}/${PORTNAME}-installed-chrome.txt \
+ >> ${MOZDIR}/chrome/installed-chrome.txt
+ @${ECHO_CMD} "@exec ${CAT} ${MOZDIR}/${PORTNAME}-installed-chrome.txt \
+ >> ${MOZDIR}/chrome/installed-chrome.txt" >> ${TMPPLIST}
+ @${SETENV} PKG_PREFIX=${PREFIX} \
+ ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
+.if exists(${PKGMESSAGE})
+ @${CAT} ${PKGMESSAGE}
+.endif
diff --git a/www/mozex/distinfo b/www/mozex/distinfo
new file mode 100644
index 000000000..699f98daa
--- /dev/null
+++ b/www/mozex/distinfo
@@ -0,0 +1,3 @@
+MD5 (mozex-1.07.xpi) = 9383380b78ed69409c0880a99b07e297
+SHA256 (mozex-1.07.xpi) = 81a06238416621540343e14c762bdf195277a406991c63a1cb6245eeb63ededf
+SIZE (mozex-1.07.xpi) = 17072
diff --git a/www/mozex/files/installed-chrome.txt b/www/mozex/files/installed-chrome.txt
new file mode 100644
index 000000000..4626d5403
--- /dev/null
+++ b/www/mozex/files/installed-chrome.txt
@@ -0,0 +1 @@
+content,install,url,jar:resource:/chrome/mozex.jar!/content/mozex/
diff --git a/www/mozex/pkg-descr b/www/mozex/pkg-descr
new file mode 100644
index 000000000..fe15d0df1
--- /dev/null
+++ b/www/mozex/pkg-descr
@@ -0,0 +1,10 @@
+Mozex is an extension to Mozilla or Firefox which allows the user to use
+external programs for these actions:
+
+ * view page source
+ * edit content of textareas (possibly utilizing a spell-checker in the
+ text editor)
+ * handle mailto, news, telnet and FTP links
+ * download files
+
+WWW: http://mozex.mozdev.org/index.html
diff --git a/www/mozex/pkg-install.xpi b/www/mozex/pkg-install.xpi
new file mode 100644
index 000000000..27aa2afd6
--- /dev/null
+++ b/www/mozex/pkg-install.xpi
@@ -0,0 +1,63 @@
+#!/bin/sh
+#
+# $FreeBSD: ports/www/mozex/pkg-install.xpi,v 1.2 2005/01/20 22:23:18 thierry Exp $
+#
+# Date created: Mon Oct 27, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Register the extension $1 in the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" = "xPRE-INSTALL" ] && exit 0
+[ "x$2" = "xDEINSTALL" ] && exit 0
+
+PREFIX=${PKG_PREFIX:-/usr/local}
+
+# If this is an extension for firefox, PKGNAMESUFFIX has been set
+PKG_NAME=${1%%-[0-9._]*}
+PKG_ROOT=$(echo $PKG_NAME | sed 's/-firefox$//')
+if [ $PKG_NAME = $PKG_ROOT ]; then
+MOZBIN=mozilla-bin
+else
+MOZBIN=firefox-bin
+fi
+
+MOZDIR=`find $PREFIX/lib -name $MOZBIN -exec dirname {} \; | head -n 1`
+REGXPCOM=$MOZDIR/regxpcom
+REGCHROME=$MOZDIR/regchrome
+
+if [ "x$2" = "xPOST-DEINSTALL" ]; then
+ case $PKG_ROOT in
+ fr-mozilla-flp|fr-firefox-flp)
+ MODEXT="FR.jar fr-unix.jar"
+ ;;
+
+ *)
+ MODEXT=$PKG_ROOT
+ ;;
+ esac
+ # Removing definition of extension $MODEXT
+ for mod in $MODEXT; do
+ sed -i .bak -e "/$mod/d" $MOZDIR/chrome/installed-chrome.txt
+ done
+fi
+
+echo "===> Re-building Chrome's registry..."
+rm -rf $MOZDIR/chrome/overlayinfo
+rm -f $MOZDIR/chrome/*.rdf
+mkdir -p $MOZDIR/chrome/overlayinfo
+rm -f $MOZDIR/component.reg
+
+LD_LIBRARY_PATH=$MOZDIR MOZILLA_FIVE_HOME=$MOZDIR $MOZDIR/regxpcom || true
+LD_LIBRARY_PATH=$MOZDIR MOZILLA_FIVE_HOME=$MOZDIR $MOZDIR/regchrome || true
+
+if [ -d "$MOZDIR/searchplugins" ]; then
+ chmod -R u+w "$MOZDIR/searchplugins"
+fi
+#touch $MOZDIR/chrome/user-skins.rdf $MOZDIR/chrome/user-locales.rdf
+
+[ "x$2" = "xPOST-INSTALL" ] || rm $MOZDIR/chrome/installed-chrome.txt.bak
+
+exit 0
diff --git a/www/mozex/pkg-message b/www/mozex/pkg-message
new file mode 100644
index 000000000..54740e0ef
--- /dev/null
+++ b/www/mozex/pkg-message
@@ -0,0 +1,8 @@
+**************************************************************************
+Mozex has been installed. If Mozilla is running, restart it.
+A new "mozex" entry is present in page context menu (right click somewhere
+on the page), and you have to edit preferences (for every profile).
+
+To set up your external programs, please follow the instructions on
+<http://mozex.mozdev.org/arguments.html>.
+**************************************************************************
diff --git a/www/mozex/pkg-plist b/www/mozex/pkg-plist
new file mode 100644
index 000000000..c604d6193
--- /dev/null
+++ b/www/mozex/pkg-plist
@@ -0,0 +1,2 @@
+%%MOZDIR%%/chrome/mozex.jar
+%%MOZDIR%%/chrome/overlayinfo/browser/content/overlays.rdf